View Issue Details

IDProjectCategoryView StatusLast Update
0029929LazarusIDEpublic2019-04-22 19:38
ReporterMichael Van CanneytAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version1.7 (SVN)Product Build 
Target Version2.2Fixed in Version2.2 
Summary0029929: Please add Close Tabs to the right to source editor notebook
DescriptionFirefox has a handy context menu item 'Close tabs to the right' in their tabbed interface.

Currently lazarus offers only 'close all but this' for the source editor tabs.

Please consider adding something similar.

I tried adding it myself, but found it would lead too far since it requires changes to the source notebook manager, which has an exposed public interface: TSourceEditorManagerInterface
TagsNo tags attached.
Fixed in Revision60016
LazTarget2.2
Widgetset
Attached Files

Relationships

has duplicate 0034217 resolvedJuha Manninen IDE enhancement 

Activities

Valdir Marcos

2019-01-05 05:53

reporter   ~0113181

If this new feature request would ever be implemented, please, also add "Close Tabs To The LEFT" before someone else asks for it...

Bart Broersma

2019-01-05 11:28

developer   ~0113188

Fortunately we already have "Close all tabs to the left and right" ;-)

Martin Friebe

2019-01-06 19:45

manager   ~0113216

Last edited: 2019-01-06 20:45

View 2 revisions

Please test and close if ok.

Note that in Tools > Options > Editor > Pages and Windows
you can set modifier keys (ctrl,shift,alt) to use this with the middle mouse button.

Keymapping in r60017

Issue History

Date Modified Username Field Change
2016-03-30 13:17 Michael Van Canneyt New Issue
2019-01-05 05:53 Valdir Marcos Note Added: 0113181
2019-01-05 07:22 Juha Manninen Relationship added has duplicate 0034217
2019-01-05 11:28 Bart Broersma Note Added: 0113188
2019-01-06 19:41 Martin Friebe Assigned To => Martin Friebe
2019-01-06 19:41 Martin Friebe Status new => assigned
2019-01-06 19:45 Martin Friebe Fixed in Revision => 60016
2019-01-06 19:45 Martin Friebe LazTarget - => 2.2
2019-01-06 19:45 Martin Friebe Note Added: 0113216
2019-01-06 19:45 Martin Friebe Status assigned => resolved
2019-01-06 19:45 Martin Friebe Fixed in Version => 2.2
2019-01-06 19:45 Martin Friebe Resolution open => fixed
2019-01-06 19:45 Martin Friebe Target Version => 2.2
2019-01-06 20:45 Martin Friebe Note Edited: 0113216 View Revisions